Bank Transfer Deferred Capture API

This API requests final payment capture separately after the bank transfer authentication (UI) step is completed. Use the authTrdNo received during the authentication step to request capture.

Test Key Information


API Information

POST/spay/APIService.do
Content-Typeapplication/json
테스트https://tbgw.settlebank.co.kr/spay/APIService.do
운영https://gw.settlebank.co.kr/spay/APIService.do

Request Parameters

타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자
예: AN(10) = 영문+숫자, 최대 10byte

params Object

mchtIdAN(10)Alphanumeric, up to 10 bytes*
Unique merchant ID assigned by Hecto Financial
nx_mid_il: Test ID
verAN(4)Alphanumeric, up to 4 bytes*
Message version
*Fixed value
methodA(2)Alphabetic, up to 2 bytes*
Payment method
*Fixed value (RA: Bank Transfer)
bizTypeAN(2)Alphanumeric, up to 2 bytes*
Business type code
*Fixed value (B1: Capture)
encCdN(2)Numeric, up to 2 bytes*
Encryption type code
*Fixed value
mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*
Unique order number generated by the merchant
*Must be identical to the order number created during the authentication request.
trdDtN(8)Numeric, up to 8 bytes*
Request date (YYYYMMDD)
trdTmN(6)Numeric, up to 6 bytes*
Request time (HHMMSS)
mobileYnA(1)Alphabetic, up to 1 bytes
Mobile indicator
Y: Mobile web/app N: PC or other
osTypeA(1)Alphabetic, up to 1 bytes
OS type
A: Android I: iOS W: Windows M: Mac E: Other

data Object

pktHashAN(200)Alphanumeric, up to 200 bytes*SHA-256(실시간 생성)
Hash value generated using SHA256
NOTE

Hash Generation Combination

trdDt + trdTm + mchtId + mchtTrdNo + trdAmt (plaintext) + hashKey
authTrdNoAN(40)Alphanumeric, up to 40 bytes*
Transaction number received from Hecto Financial upon successful authentication
trdAmtN(12)Numeric, up to 12 bytes*AES-256AES-256/ECB/PKCS5Padding + Base64
Transaction amount

Response Parameters

타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자
예: AN(10) = 영문+숫자, 최대 10byte

params Object

mchtIdAN(10)Alphanumeric, up to 10 bytes*nx_mid_il
Merchant ID
verAN(4)Alphanumeric, up to 4 bytes*0A19
Message version
methodA(2)Alphabetic, up to 2 bytes*RA
Payment method
bizTypeAN(2)Alphanumeric, up to 2 bytes*B1
Business type code
encCdN(2)Numeric, up to 2 bytes*23
Encryption type code
mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*ORDER20211231100000
Merchant order number
trdNoAN(40)Alphanumeric, up to 40 bytes*STFP_PGRAnx_mid_il00211021111808M1234567
Hecto Financial transaction number (final capture number)
trdDtN(8)Numeric, up to 8 bytes*20211231
Request date
trdTmN(6)Numeric, up to 6 bytes*100000
Request time
outStatCdAN(4)Alphanumeric, up to 4 bytes*0021
Transaction status code (0021: Success, 0031: Failure)
outRsltCdAN(4)Alphanumeric, up to 4 bytes*0000
Result code (0000: Success)
outRsltMsgAHN(200)Alphanumeric + Korean, up to 200 bytes*Approved successfully.
Result message

data Object

pktHashAN(64)Alphanumeric, up to 64 bytes*6056160d8f24c3ad15a015a0a666b5584c9471c2f8f56945482ca3e656bd0125
Hash value from the request returned as-is
authTrdNoAN(40)Alphanumeric, up to 40 bytes*SOFP_PGRAnx_mid_il00211021111808M1234567
Unique transaction number issued by Hecto Financial (transaction number responded upon successful authentication)
prdtNmAHN(128)Alphanumeric + Korean, up to 128 bytes*Test Product
Product name
ordNmAHN(30)Alphanumeric + Korean, up to 30 bytesHong Gil-dong
Orderer name (returned as blank if no value was received during authentication request)
sellerNmAHN(128)Alphanumeric + Korean, up to 128 bytesHecto Financial
Seller name
dpstrNmAHN(36)Alphanumeric + Korean, up to 36 bytesMerchantName_HongGilDong
Bank statement description (name printed on the customer's bank statement. If blank, sellerNm is used as the bank statement description)
mchtCustIdAN(50)Alphanumeric, up to 50 bytesHongGilDong
Unique customer ID or unique key sent by the merchant
trdAmtN(12)Numeric, up to 12 bytes*AES-256AES-256/ECB/PKCS5Padding1000
Transaction amount
*실제 응답값은 AES-256 암호화된 값입니다. 복호화 후 사용하세요.
fnCdAN(4)Alphanumeric, up to 4 bytes*11
Withdrawal bank code
fnNmAH(50)Alpha + Korean, up to 50 bytes*NongHyup
Withdrawal bank name
notiUrlAN(250)Alphanumeric, up to 250 bytes*https://example.com/notiUrl
URL of the endpoint to receive the payment result (server-to-server webhook URL)
mchtParamAHN(4000)Alphanumeric + Korean, up to 4000 bytesname=HongGilDong&age=25
Merchant reserved field for entering additional order information

Response Hash Code

ItemCombination Fields
pktHashTransaction status code + Request date + Request time + Merchant ID + Merchant order number + Transaction amount (plaintext) + Hash key

Webhook

NOTE

Webhook Reference

For bank transfer payment webhook details, see the Webhook document.
💬

Need technical support?